/**
 * ActRelationshipReplacement2.java
 *
 * File generated from the medication2::ActRelationshipReplacement2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipReplacement2.
 *
 * 
 */

@XmlType(name = "ActRelationshipReplacement")
@XmlEnum
@XmlRootElement(name = "ActRelationshipReplacement2")
public enum ActRelationshipReplacement2 {
	@XmlEnumValue("RPLC")
	RPLC("RPLC"),
	@XmlEnumValue("SUCC")
	SUCC("SUCC");
	
	private final String value;

    ActRelationshipReplacement2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActRelationshipReplacement2 fromValue(String v) {
        for (ActRelationshipReplacement2 c: ActRelationshipReplacement2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
